Subject: Ticket Assigned - Feedback or suggestions
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sun, 14 Mar 2021 02:54:22 +0000

Hi Krishan Singh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Feedback or suggestions Hi,

I would like to be put in contact with the buyer for your watches category.

I work for Jubilee Store and we represent a number of watch brands within the UAE. I see from your website that you are already listing one of the brands we exclusively represent in UAE, "Omax". I would like to talk about showcasing other brands within our portfolio as well.

Please get back to me ASAP.

Faiz https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2229021